com.orsoncharts.table

## Class ElementDimension

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - com.orsoncharts.table.ElementDimension

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public final class ElementDimension
      extends java.awt.geom.Dimension2D
      implements java.io.Serializable

  An element dimension (in fact a simple implementation of the `Dimension2D` interface).
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementDimension(double width, double height)` Creates a new dimension object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this dimension for equality with an arbitrary object.
    `double` | `getHeight()` Returns the height.
    `double` | `getWidth()` Returns the width.
    `void` | `setSize(double width, double height)` Sets the size.
    `java.lang.String` | `toString()` Returns a string representation of this dimension, primarily for debugging purposes.

    - ### Methods inherited from class java.awt.geom.Dimension2D

      `clone, setSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementDimension

          public ElementDimension(double width,
                                  double height)

      Creates a new dimension object.
      Parameters:
        `width` - the width.
        `height` - the height.

  - ### Method Detail

    - #### getWidth

          public double getWidth()

      Returns the width.
      Specified by:
        `getWidth` in class `java.awt.geom.Dimension2D`
      Returns:
        The width.

    - #### getHeight

          public double getHeight()

      Returns the height.
      Specified by:
        `getHeight` in class `java.awt.geom.Dimension2D`
      Returns:
        The height.

    - #### setSize

          public void setSize(double width,
                              double height)

      Sets the size.
      Specified by:
        `setSize` in class `java.awt.geom.Dimension2D`
      Parameters:
        `width` - the width.
        `height` - the height.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this dimension for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this dimension, primarily for debugging purposes.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string.